Obtener transferencia por ID
curl --request GET \
--url https://api.lapyme.com.ar/api/v1/stock-transfers/{transfer_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lapyme.com.ar/api/v1/stock-transfers/{transfer_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lapyme.com.ar/api/v1/stock-transfers/{transfer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request_id": "<string>",
"data": {
"object": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_warehouse_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_warehouse_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transfer_date": "2023-11-07T05:31:56Z",
"notes": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_warehouse": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"target_warehouse": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 123,
"received_quantity": 123,
"rejected_quantity": 123,
"product": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"sku": "<string>",
"variant_options": {},
"option_names": [
"<string>"
]
}
}
],
"tags": [
{
"object": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}
}{
"request_id": "req_transfer_detail_1",
"error": {
"code": "AUTHENTICATION_REQUIRED",
"message": "API key is required in the Authorization header",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_transfer_detail_1",
"error": {
"code": "FORBIDDEN",
"message": "Your API key does not have permission for this operation",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_transfer_detail_1",
"error": {
"code": "NOT_FOUND",
"message": "Transferencia no encontrada",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_rate_limit_1",
"error": {
"type": "rate_limit_error",
"code": "RATE_LIMITED",
"message": "The organization request limit was reached. Try again later.",
"retryable": true,
"details": []
}
}{
"request_id": "req_transfer_detail_1",
"error": {
"code": "INTERNAL_ERROR",
"message": "Could not retrieve the transfer",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}Obtener transferencia por ID
Devuelve el detalle de la transferencia de stock.
GET
/
api
/
v1
/
stock-transfers
/
{transfer_id}
Obtener transferencia por ID
Was this page helpful?
⌘I

